<?php

	use Reflect\{Response, Path};

	use VLW\API\API;
	use VLW\Database\Models\Coffee\Coffee;

	require_once Path::root("src/API/API.php");
	require_once Path::root("src/Database/Models/Coffee/Coffee.php");

	final class GET_Coffee extends API {
		public function __construct() {
			parent::__construct();
		}

		public function main(): Response {
			return new Response(Coffee::all());
		}
	}